Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 911037 - Review Request: nodejs-jsconfig - Asynchronous configuration loader with cli support
Summary: Review Request: nodejs-jsconfig - Asynchronous configuration loader with cli ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 911024 911040
Blocks: nodejs-reviews 911022
TreeView+ depends on / blocked
 
Reported: 2013-02-14 09:39 UTC by Jamie Nguyen
Modified: 2014-03-15 16:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-15 16:58:16 UTC
tchollingsworth: fedora-review?


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-14 09:39:07 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-jsconfig.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-jsconfig-0.2.0-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
This is a Node.js module for asynchronous loading of configuration files,
including *.js, *.coffee, *.json and *.node files.

Comment 1 T.C. Hollingsworth 2013-06-14 04:31:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Status: NEEDS WORK

===== Issues ====

[!]: This node module contains coffee-script source.

     The JavaScript source must be rebuilt from the coffee-script source as
     part of the rpmbuild process.
     
     This should be as simple as `cake build` in %build, but you might need to
     grab the sources from git.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.

     MIT in LICENSE file -> OK
     
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
        nodejs macros used -> OK
[x]: Package is named according to the Package Naming Guidelines.
        nodejs- prefix used -> OK
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local
[!]: Package complies to the Packaging Guidelines

        contains precompiled JavaScript files built from coffee-script source
        violation of:
        https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.

% npm -q view jsconfig version
0.2.0

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
        no tests present -> OK
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-jsconfig-0.2.0-1.fc20.noarch.rpm
nodejs-jsconfig.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-jsconfig.noarch: W: spelling-error %description -l en_US json -> son, j son
nodejs-jsconfig.noarch: W: only-non-binary-in-usr-lib
nodejs-jsconfig.noarch: W: dangling-symlink /usr/lib/node_modules/jsconfig/node_modules/cli /usr/lib/node_modules/cli
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

usual nonsense -> OK


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-jsconfig
nodejs-jsconfig.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-jsconfig.noarch: W: spelling-error %description -l en_US json -> son, j son
nodejs-jsconfig.noarch: W: only-non-binary-in-usr-lib
nodejs-jsconfig.noarch: W: dangling-symlink /usr/lib/node_modules/jsconfig/node_modules/cli /usr/lib/node_modules/cli
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'

OK, see above

Requires
--------
nodejs-jsconfig (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(cli)

OK

Provides
--------
nodejs-jsconfig:
    nodejs-jsconfig
    npm(jsconfig)

OK

Source checksums
----------------
http://registry.npmjs.org/jsconfig/-/jsconfig-0.2.0.tgz :
  CHECKSUM(SHA256) this package     : 463d40107025976f569af576071010e5031274a24e0194af6baffe090cdff353
  CHECKSUM(SHA256) upstream package : 463d40107025976f569af576071010e5031274a24e0194af6baffe090cdff353

OK

Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b911037

Comment 2 Jamie Nguyen 2013-06-20 18:49:11 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-jsconfig.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-jsconfig-0.2.0-2.fc19.src.rpm

* Thu Jun 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.0-2
- obtain Source0 from github instead of npm registry so that we can
  run 'cake build'


This package now depends on nodejs-muffin, which depends on a few other reviews itself.


Note You need to log in before you can comment on or make changes to this bug.